#ifndef websockets_h
#define websockets_h

#include <WiFiMulti.h>
#include <WiFi.h>
#include <WebSocketsClient.h>
#include <Arduino.h>

#define USE_SERIAL Serial

class websockets {
    public:
        websockets();
        void hexdump(const void *mem, uint32_t len, uint8_t cols = 16);
        void websocketSetup();
        void loop();
        void webSocketEvent(WStype_t type, uint8_t * payload, size_t length);
        void sendMyText(String message);
        
    private:
    WebSocketsClient *webSocket;
    WiFiMulti *_WiFiMulti;
};

#endif